Bug 467348 - Review Request: rubygem-reststop - Convenient RESTfulness for all your Camping controller needs
Review Request: rubygem-reststop - Convenient RESTfulness for all your Campin...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: S.A. Hartsuiker
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-16 20:58 EDT by Jeroen van Meeuwen
Modified: 2008-10-30 08:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-30 08:53:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
s.a.hartsuiker: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jeroen van Meeuwen 2008-10-16 20:58:33 EDT
Spec URL: http://www.kanarip.com/custom/SPECS/rubygem-reststop.spec
SRPM URL: http://www.kanarip.com/custom/f9/SRPMS/rubygem-reststop-0.3.0-1.fc9.src.rpm
Description: Convenient RESTfulness for all your Camping controller needs

- rpmlint silent
- files listed twice warning during build, but unknown cause
- LGPLv3 from README.txt

koji scratch builds:

- dist-f8-updates-candidate - http://koji.fedoraproject.org/koji/taskinfo?taskID=885591
- dist-f9-updates-candidate - http://koji.fedoraproject.org/koji/taskinfo?taskID=885593
- dist-f10 - http://koji.fedoraproject.org/koji/taskinfo?taskID=885595
- dist-f11 - http://koji.fedoraproject.org/koji/taskinfo?taskID=885597
Comment 1 S.A. Hartsuiker 2008-10-22 12:31:16 EDT
RPM Lint: quiet
Package name: ok
Spec file: ok
License: LGPLv3
Actual License: LGPLv3
%doc License: ok (LICENSE.txt)
Spec file language: ok
Spec file readable: ok
Upstream source vs. used tarball: ok (md5sum 7e92c2a68467d94b63a85367a5dd1c7d)
Compile and Build:
 - F-7: n/a
 - F-8: builds
 - F-9: builds
 - F-10: builds
 - rawhide: builds
 - EL-5: n/a

Applicable Package Guidelines: ok

Locales: not applicable
Shared libs: not applicable

Relocatable: no
Directory and file ownership: ok
No duplicate files in %files: a warning that I can't explain either
File Permissions: ok
Macro usage: ok
Code vs. Content: ok
(Large) Documentation: ok
%doc affecting runtime: ok
Header files in -devel package: not applicable
Static Libraries in -static package: not applicable
pkgconfig Requires: not applicable
Library files: ok
Devel requires base package: not applicable
.la libtool archives: not applicable
Duplicate ownership of files/directories: no
Remove BuildRoot: yes
UTF-8 filenames: no

Package APPROVED

I can't find duplicate files anywhere inside the rpm or the buildroot itself, so I'm ignoring the warning.
Comment 2 Jeroen van Meeuwen 2008-10-25 07:26:11 EDT
New Package CVS Request
=======================
Package Name: rubygem-reststop
Short Description: Convenient RESTfulness for all your Camping controller needs
Owners: kanarip
Branches: EL-4 EL-5 F-8 F-9 devel
InitialCC:
Comment 3 Dennis Gilmore 2008-10-27 00:31:43 EDT
CVS Done
Comment 4 Fedora Update System 2008-10-27 20:18:06 EDT
rubygem-reststop-0.3.0-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/rubygem-reststop-0.3.0-1.fc9
Comment 5 Fedora Update System 2008-10-27 20:18:09 EDT
rubygem-reststop-0.3.0-1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/rubygem-reststop-0.3.0-1.fc8
Comment 6 Fedora Update System 2008-10-30 08:53:27 EDT
rubygem-reststop-0.3.0-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-10-30 08:54:50 EDT
rubygem-reststop-0.3.0-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.